core::ConsoleService Class Reference
Inheritance diagram for core::ConsoleService:
[legend]
Collaboration diagram for core::ConsoleService:
[legend]

## Public Member Functions

Session * | getSocketAccept (EPoll &ePoll) override
Public Member Functions inherited from core::Service
| Service ()
void | removeFromSessionList (Session *session)
virtual void | sessionErrorHandler (std::string errorString, Session *session)
void | output (Session *session) override
| Output the consoles array to the console.
Public Member Functions inherited from core::Command
virtual bool | check (std::string request)
virtual int | processCommand (std::string request, Session *session, std::stringstream &data)
void | setName (std::string name)
std::string | getName ()

## Additional Inherited Members

Public Attributes inherited from core::Service
std::vector< Session * > | sessions
CommandList | commands
Public Attributes inherited from core::Object
std::string | name
std::string | tag

## Member Function Documentation

## getSocketAccept()

Session * core::ConsoleService::getSocketAccept | ( | EPoll & | epoll | ) |

overridevirtual

getSocketAccept is designed to allow a polymorphic extension of this object to return a type of object that extends the definition of the server socket. Returning the appropriate session object that extends from Session provides the mechanism where the server can select the protocol dialog for the desired service.

Reimplemented from core::Service.

The documentation for this class was generated from the following files:

- /home/bradarant/barant/ServerCore/ConsoleService.h
- /home/bradarant/barant/ServerCore/ConsoleService.cpp